티스토리 뷰

warning: lib.java/android.interface.jar(java/lang/Double.class): major version 52 is newer than 51, the highest major version supported by this compiler.
  It is recommended that the compiler be upgraded.
warning: lib.java/android.interface.jar(java/lang/Boolean.class): major version 52 is newer than 51, the highest major version supported by this compiler.
  It is recommended that the compiler be upgraded.
warning: lib.java/android.interface.jar(java/lang/Void.class): major version 52 is newer than 51, the highest major version supported by this compiler.
  It is recommended that the compiler be upgraded.
warning: lib.java/android.interface.jar(java/lang/AssertionError.class): major version 52 is newer than 51, the highest major version supported by this compiler.
  It is recommended that the compiler be upgraded.


Java JDK 버전의 문제로 위 에러는 Java JDK 버전의 문제로 java 7을 java 8 이상으로 업그레이드 해야 할 필요가 있습니다.

Ubuntu의 경우에는 아래와 같이 설치하면 됩니다.


$ sudo apt-add-repository ppa:webupd8team/java
$ sudo apt-get update
$ sudo apt-get install oracle-java8-installer


Comments
댓글쓰기 폼